GET
/companies/revenue1 creditCompany Revenue
Estimated revenue for one company by domain: current revenue, whether it is verified, revenue multiple, revenue-per-employee, and headcount. 1 credit.
GEThttps://www.startuphub.ai/api/v1/companies/revenue
Request
curl "https://www.startuphub.ai/api/v1/companies/revenue?domain=anthropic.com" \
-H "Authorization: Bearer sk_live_..."Parameters
domainstringrequiredCompany domain or URL
Response
json
{
"data": {
"domain": "anthropic.com",
"name": "Anthropic",
"slug": "anthropic",
"current_revenue": 850000000,
"is_revenue_verified": false,
"revenue_multiple": 70.6,
"revenue_per_employee": 1200000,
"employee_count": 700,
"as_of": "2026-03-01",
"startuphub_url": "https://www.startuphub.ai/startups/anthropic"
},
"credits": { "cost": 1, "remaining_period": 9999, "remaining_balance": 2000 }
}Errors
400Missing domain parameter401Invalid or missing API key404No company matched that domain429Insufficient credits